from typing import Optional

from pydantic import BaseModel, validator, EmailStr
from datetime import datetime


# UserInfo
class order_info_linepay(BaseModel):
    id: int
    # UUID4 validation???
    order_id: str
    email: EmailStr
    # phone: phone??
    # @validator('phone')
    # def check_phone()
    phone: Optional[str] = None
    full_name: Optional[str] = None
    transaction_date: datetime = datetime.now()
    ## this is to avoid lazy loading problem
    class Config:
        orm_mode = True

## this is for data parsing&&&data validation